# classes/phing/filters/StripWhitespace.php

## \StripWhitespace
jump to top

Strips whitespace from [php] files using PHP stripwhitespace() method.

Extends from
  \BaseFilterReader
Implements
  \ChainableReader
see
  \FilterReader
author
  Hans Lellelid, hans@velum.net
package
  phing.filters
todo
  -c use new PHP functions to perform this instead of regex.
version
  $Revision: 552 $ $Date: 2009-08-29 14:18:13 +0200 (Sat, 29 Aug 2009) $

### Properties

`$processed= 'false'`
Default value `false` Details

Type

### Methods

`chain( \reader $reader ) : \a`
Creates a new StripWhitespace using the passed in Reader for instantiation.
Parameters

Name | Type | Description
--- | --- | ---
$reader | \reader | A Reader object providing the underlying stream. Must not be `null`.

Returns

Type | Description
--- | ---
\a |

`read( $len = null ) : \the`
Returns the stream without Php comments and whitespace.
Parameters

Name | Type | Description
--- | --- | ---
$len |  |

Returns

Type | Description
--- | ---
\the |

Details

throws
  if the underlying stream throws an IOException during reading

Documentation was generated by DocBlox 0.13.1.